#ifndef _UTILS_H
#define _UTILS_H

#include <iostream>

using namespace std;

/* Random stuff that didn't go elsewhere. */

/** Converts a letter to lowercase.
	For use with the STL's transform algorithm. */
int lower_case ( int c );

/** Skips, until reaching a certain character. */
void skipPastChar(istream &is, char ch);

/** Skips until reaching an integer (used for skipping either whitespace
  or the '/' between alleles.) */
void skipToDigit(istream &is);

#endif

